clang-tools 6.0.0

Public Member Functions | List of all members
clang::tidy::ClangTidyASTConsumerFactory Class Reference

`#include <ClangTidy.h>`

## Public Member Functions
| ClangTidyASTConsumerFactory (ClangTidyContext &Context)
std::unique_ptr< clang::ASTConsumer > | CreateASTConsumer (clang::CompilerInstance &Compiler, StringRef File)
| Returns an ASTConsumer that runs the specified clang-tidy checks. More...
std::vector< std::string > | getCheckNames ()
| Get the list of enabled checks. More...
ClangTidyOptions::OptionMap | getCheckOptions ()
| Get the union of options from all checks. More...

## Detailed Description

Definition at line 192 of file ClangTidy.h.

## Constructor & Destructor Documentation

## ◆ ClangTidyASTConsumerFactory()

clang::tidy::ClangTidyASTConsumerFactory::ClangTidyASTConsumerFactory | ( | ClangTidyContext & | Context | ) |

Definition at line 281 of file ClangTidy.cpp.

## Member Function Documentation

## ◆ CreateASTConsumer()

std::unique_ptr< clang::ASTConsumer > clang::tidy::ClangTidyASTConsumerFactory::CreateASTConsumer | ( | clang::CompilerInstance & | Compiler,
|  | StringRef | File
| ) |  |

Returns an ASTConsumer that runs the specified clang-tidy checks.

Definition at line 336 of file ClangTidy.cpp.

References Checks().

Referenced by clang::tidy::ClangTidyPluginAction::CreateASTConsumer().

## ◆ getCheckNames()

std::vector< std::string > clang::tidy::ClangTidyASTConsumerFactory::getCheckNames | ( |  | ) |

Get the list of enabled checks.

Definition at line 393 of file ClangTidy.cpp.

References clang::tidy::getCheckersControlList().

## ◆ getCheckOptions()

ClangTidyOptions::OptionMap clang::tidy::ClangTidyASTConsumerFactory::getCheckOptions | ( |  | ) |

Get the union of options from all checks.

Definition at line 407 of file ClangTidy.cpp.

References Checks().

The documentation for this class was generated from the following files:

- ClangTidy.h
- ClangTidy.cpp